# sak

sak is a command-line tool for compression.

## Installation

### Binary Releases

You can find binaries for many platforms
[here](https://www.permanent.org/p/archive/0236-0000/0236-0070/447897).

### Source

With [cabal-install](https://www.haskell.org/cabal/):

```
cabal install sak
```

## Use

To convert compression format:

```
sak transcode sak-0.1.0.0.tar.gz sak-0.1.0.0.tar.lz
```

To recompress a file:

```
sak recompress binary.tar.zst --best
```

### Bash Completions

To get bash completions in your current shell session:

```
eval "$(sak --bash-completion-script sak)"
```

You can put this in your `~/.bashrc` or `~/.bash_profile` as needed.

### Manpages

`man/sak.1` contains manpages for `sak`

## Comparison

### Features

`sak` has some features not present in most decompressors (such as `lzip` or
`zstd`)

  - `transcode` - converts from one compressed format to another (streaming)
  - `recompress` - loads a file into memory and compresses it at
    a higher level
  - `verify` - simply verifies that a file is valid

### Performance

Performance should be on the same order of magnitude as the various
C command-line tools (`gzip`, `lzop`, `zstd`, &c.).
